# BFR - A Modular Bulk File Renaming Utility
Inspired by [this project](https://git.lastassault.de/speatzle/BulkFileRenamer) by speatzle_.

Everyone is welcome to contribute!

## Features
- Mordern scalable UI (Avalonia)
- Extremely flexible
- Stack-based undo
- Fast and automatic preview
- Cross-Platform and portable
- Supports RegEx

### Operations
- Add, Remove, Replace, Overwrite, Number, Sort

### Upcoming Features
- [Case Conversion](https://git.lastassault.de/adroslice/bfr/issues/1)
- [Save-/Loadable Profiles](https://git.lastassault.de/adroslice/bfr/issues/3)
- [Operations based on file Metadata](https://git.lastassault.de/adroslice/bfr/issues/4)
- [Optional Subdirectory Scanning](https://git.lastassault.de/adroslice/bfr/issues/5)
- [Option to disable automatic previewing](https://git.lastassault.de/adroslice/bfr/issues/7)
- [Tooltips for added clarity on every UI input](https://git.lastassault.de/adroslice/bfr/issues/9)
- [Improved Add-/Remove-Buttons](https://git.lastassault.de/adroslice/bfr/issues/6)
- Anything good that gets [requested](https://git.lastassault.de/adroslice/bfr/issues)!

## [Releases](https://git.lastassault.de/adroslice/bfr/-/releases)
## Screenshot
![](https://i.imgur.com/qHRTmJH.png)
